import { z, type ZodSchema } from 'zod';
import type { ParsedResult } from '../types/index.js';
import { Envelope } from './envelope.js';
type DynamoDBStreamEnvelopeResponse<T extends ZodSchema> = {
    NewImage: z.infer<T>;
    OldImage: z.infer<T>;
};
/**
 * DynamoDB Stream Envelope to extract data within NewImage/OldImage
 *
 * Note: Values are the parsed models. Images' values can also be None, and
 * length of the list is the record's amount in the original event.
 */
export declare class DynamoDBStreamEnvelope extends Envelope {
    static parse<T extends ZodSchema>(data: unknown, schema: T): DynamoDBStreamEnvelopeResponse<z.infer<T>>[];
    static safeParse<T extends ZodSchema>(data: unknown, schema: T): ParsedResult;
}
export {};
//# sourceMappingURL=dynamodb.d.ts.map