"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudFormationCustomResourceUpdateSchema = exports.CloudFormationCustomResourceDeleteSchema = exports.CloudFormationCustomResourceCreateSchema = void 0;
const zod_1 = require("zod");
const CloudFormationCustomResourceBaseSchema = zod_1.z.object({
    ServiceToken: zod_1.z.string(),
    ResponseURL: zod_1.z.string().url(),
    StackId: zod_1.z.string(),
    RequestId: zod_1.z.string(),
    LogicalResourceId: zod_1.z.string(),
    ResourceType: zod_1.z.string(),
    ResourceProperties: zod_1.z.record(zod_1.z.any()),
});
const CloudFormationCustomResourceCreateSchema = CloudFormationCustomResourceBaseSchema.merge(zod_1.z.object({
    RequestType: zod_1.z.literal('Create'),
}));
exports.CloudFormationCustomResourceCreateSchema = CloudFormationCustomResourceCreateSchema;
const CloudFormationCustomResourceDeleteSchema = CloudFormationCustomResourceBaseSchema.merge(zod_1.z.object({
    RequestType: zod_1.z.literal('Delete'),
}));
exports.CloudFormationCustomResourceDeleteSchema = CloudFormationCustomResourceDeleteSchema;
const CloudFormationCustomResourceUpdateSchema = CloudFormationCustomResourceBaseSchema.merge(zod_1.z.object({
    RequestType: zod_1.z.literal('Update'),
    OldResourceProperties: zod_1.z.record(zod_1.z.any()),
}));
exports.CloudFormationCustomResourceUpdateSchema = CloudFormationCustomResourceUpdateSchema;
