"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LambdaFunctionUrlSchema = void 0;
const apigwv2_js_1 = require("./apigwv2.js");
/**
 * Lambda Function URL follows the API Gateway HTTP APIs Payload Format Version 2.0.
 *
 * Keys related to API Gateway features not available in Function URL use a sentinel value (e.g.`routeKey`, `stage`).
 * Documentation:
 * - https://docs.aws.amazon.com/lambda/latest/dg/urls-configuration.html
 * - https://docs.aws.amazon.com/lambda/latest/dg/urls-invocation.html#urls-payloads
 *
 */
const LambdaFunctionUrlSchema = apigwv2_js_1.APIGatewayProxyEventV2Schema.extend({});
exports.LambdaFunctionUrlSchema = LambdaFunctionUrlSchema;
