"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SnsSqsNotificationSchema = exports.SnsMsgAttribute = exports.SnsNotificationSchema = exports.SnsRecordSchema = exports.SnsSchema = void 0;
const zod_1 = require("zod");
const SnsMsgAttribute = zod_1.z.object({
    Type: zod_1.z.string(),
    Value: zod_1.z.string(),
});
exports.SnsMsgAttribute = SnsMsgAttribute;
const SnsNotificationSchema = zod_1.z.object({
    Subject: zod_1.z.string().optional(),
    TopicArn: zod_1.z.string(),
    UnsubscribeUrl: zod_1.z.string().url(),
    UnsubscribeURL: zod_1.z.string().url().optional(),
    SigningCertUrl: zod_1.z.string().url().optional(),
    SigningCertURL: zod_1.z.string().url().optional(),
    Type: zod_1.z.literal('Notification'),
    MessageAttributes: zod_1.z.record(zod_1.z.string(), SnsMsgAttribute).optional(),
    Message: zod_1.z.string(),
    MessageId: zod_1.z.string(),
    Signature: zod_1.z.string().optional(),
    SignatureVersion: zod_1.z.string().optional(),
    Timestamp: zod_1.z.string().datetime(),
});
exports.SnsNotificationSchema = SnsNotificationSchema;
const SnsSqsNotificationSchema = SnsNotificationSchema.extend({
    UnsubscribeURL: zod_1.z.string().optional(),
    SigningCertURL: zod_1.z.string().url().optional(),
}).omit({
    UnsubscribeUrl: true,
    SigningCertUrl: true,
});
exports.SnsSqsNotificationSchema = SnsSqsNotificationSchema;
const SnsRecordSchema = zod_1.z.object({
    EventSource: zod_1.z.literal('aws:sns'),
    EventVersion: zod_1.z.string(),
    EventSubscriptionArn: zod_1.z.string(),
    Sns: SnsNotificationSchema,
});
exports.SnsRecordSchema = SnsRecordSchema;
const SnsSchema = zod_1.z.object({
    Records: zod_1.z.array(SnsRecordSchema),
});
exports.SnsSchema = SnsSchema;
