import { z } from 'zod';
declare const VpcLatticeV2Schema: z.ZodObject<{
    version: z.ZodString;
    path: z.ZodString;
    method: z.ZodEnum<["GET", "POST", "PUT", "PATCH", "DELETE", "HEAD", "OPTIONS"]>;
    headers: z.ZodRecord<z.ZodString, z.ZodString>;
    queryStringParameters: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    body: z.ZodOptional<z.ZodString>;
    isBase64Encoded: z.ZodOptional<z.ZodBoolean>;
    requestContext: z.ZodObject<{
        serviceNetworkArn: z.ZodString;
        serviceArn: z.ZodString;
        targetGroupArn: z.ZodString;
        region: z.ZodString;
        timeEpoch: z.ZodString;
        identity: z.ZodObject<{
            sourceVpcArn: z.ZodOptional<z.ZodString>;
            type: z.ZodOptional<z.ZodString>;
            principal: z.ZodOptional<z.ZodString>;
            principalOrgId: z.ZodOptional<z.ZodString>;
            sessionName: z.ZodOptional<z.ZodString>;
            X509SubjectCn: z.ZodOptional<z.ZodString>;
            X509IssuerOu: z.ZodOptional<z.ZodString>;
            x509SanDns: z.ZodOptional<z.ZodString>;
            x509SanUri: z.ZodOptional<z.ZodString>;
            X509SanNameCn: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type?: string | undefined;
            principalOrgId?: string | undefined;
            sourceVpcArn?: string | undefined;
            principal?: string | undefined;
            sessionName?: string | undefined;
            X509SubjectCn?: string | undefined;
            X509IssuerOu?: string | undefined;
            x509SanDns?: string | undefined;
            x509SanUri?: string | undefined;
            X509SanNameCn?: string | undefined;
        }, {
            type?: string | undefined;
            principalOrgId?: string | undefined;
            sourceVpcArn?: string | undefined;
            principal?: string | undefined;
            sessionName?: string | undefined;
            X509SubjectCn?: string | undefined;
            X509IssuerOu?: string | undefined;
            x509SanDns?: string | undefined;
            x509SanUri?: string | undefined;
            X509SanNameCn?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        identity: {
            type?: string | undefined;
            principalOrgId?: string | undefined;
            sourceVpcArn?: string | undefined;
            principal?: string | undefined;
            sessionName?: string | undefined;
            X509SubjectCn?: string | undefined;
            X509IssuerOu?: string | undefined;
            x509SanDns?: string | undefined;
            x509SanUri?: string | undefined;
            X509SanNameCn?: string | undefined;
        };
        timeEpoch: string;
        targetGroupArn: string;
        region: string;
        serviceNetworkArn: string;
        serviceArn: string;
    }, {
        identity: {
            type?: string | undefined;
            principalOrgId?: string | undefined;
            sourceVpcArn?: string | undefined;
            principal?: string | undefined;
            sessionName?: string | undefined;
            X509SubjectCn?: string | undefined;
            X509IssuerOu?: string | undefined;
            x509SanDns?: string | undefined;
            x509SanUri?: string | undefined;
            X509SanNameCn?: string | undefined;
        };
        timeEpoch: string;
        targetGroupArn: string;
        region: string;
        serviceNetworkArn: string;
        serviceArn: string;
    }>;
}, "strip", z.ZodTypeAny, {
    path: string;
    version: string;
    headers: Record<string, string>;
    requestContext: {
        identity: {
            type?: string | undefined;
            principalOrgId?: string | undefined;
            sourceVpcArn?: string | undefined;
            principal?: string | undefined;
            sessionName?: string | undefined;
            X509SubjectCn?: string | undefined;
            X509IssuerOu?: string | undefined;
            x509SanDns?: string | undefined;
            x509SanUri?: string | undefined;
            X509SanNameCn?: string | undefined;
        };
        timeEpoch: string;
        targetGroupArn: string;
        region: string;
        serviceNetworkArn: string;
        serviceArn: string;
    };
    method: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | "HEAD" | "OPTIONS";
    queryStringParameters?: Record<string, string> | undefined;
    isBase64Encoded?: boolean | undefined;
    body?: string | undefined;
}, {
    path: string;
    version: string;
    headers: Record<string, string>;
    requestContext: {
        identity: {
            type?: string | undefined;
            principalOrgId?: string | undefined;
            sourceVpcArn?: string | undefined;
            principal?: string | undefined;
            sessionName?: string | undefined;
            X509SubjectCn?: string | undefined;
            X509IssuerOu?: string | undefined;
            x509SanDns?: string | undefined;
            x509SanUri?: string | undefined;
            X509SanNameCn?: string | undefined;
        };
        timeEpoch: string;
        targetGroupArn: string;
        region: string;
        serviceNetworkArn: string;
        serviceArn: string;
    };
    method: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | "HEAD" | "OPTIONS";
    queryStringParameters?: Record<string, string> | undefined;
    isBase64Encoded?: boolean | undefined;
    body?: string | undefined;
}>;
export { VpcLatticeV2Schema };
//# sourceMappingURL=vpc-latticev2.d.ts.map