"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VpcLatticeV2Schema = void 0;
const zod_1 = require("zod");
const VpcLatticeV2RequestContextIdentity = zod_1.z.object({
    sourceVpcArn: zod_1.z.string().optional(),
    type: zod_1.z.string().optional(),
    principal: zod_1.z.string().optional(),
    principalOrgId: zod_1.z.string().optional(),
    sessionName: zod_1.z.string().optional(),
    X509SubjectCn: zod_1.z.string().optional(),
    X509IssuerOu: zod_1.z.string().optional(),
    x509SanDns: zod_1.z.string().optional(),
    x509SanUri: zod_1.z.string().optional(),
    X509SanNameCn: zod_1.z.string().optional(),
});
const VpcLatticeV2RequestContext = zod_1.z.object({
    serviceNetworkArn: zod_1.z.string(),
    serviceArn: zod_1.z.string(),
    targetGroupArn: zod_1.z.string(),
    region: zod_1.z.string(),
    timeEpoch: zod_1.z.string(),
    identity: VpcLatticeV2RequestContextIdentity,
});
const VpcLatticeV2Schema = zod_1.z.object({
    version: zod_1.z.string(),
    path: zod_1.z.string(),
    method: zod_1.z.enum(['GET', 'POST', 'PUT', 'PATCH', 'DELETE', 'HEAD', 'OPTIONS']),
    headers: zod_1.z.record(zod_1.z.string(), zod_1.z.string()),
    queryStringParameters: zod_1.z.record(zod_1.z.string(), zod_1.z.string()).optional(),
    body: zod_1.z.string().optional(),
    isBase64Encoded: zod_1.z.boolean().optional(),
    requestContext: VpcLatticeV2RequestContext,
});
exports.VpcLatticeV2Schema = VpcLatticeV2Schema;
