import { z } from 'zod';
declare const CloudFormationCustomResourceCreateSchema: z.ZodObject<z.objectUtil.extendShape<{
    ServiceToken: z.ZodString;
    ResponseURL: z.ZodString;
    StackId: z.ZodString;
    RequestId: z.ZodString;
    LogicalResourceId: z.ZodString;
    ResourceType: z.ZodString;
    ResourceProperties: z.ZodRecord<z.ZodString, z.ZodAny>;
}, {
    RequestType: z.ZodLiteral<"Create">;
}>, "strip", z.ZodTypeAny, {
    ServiceToken: string;
    ResponseURL: string;
    StackId: string;
    RequestId: string;
    LogicalResourceId: string;
    ResourceType: string;
    ResourceProperties: Record<string, any>;
    RequestType: "Create";
}, {
    ServiceToken: string;
    ResponseURL: string;
    StackId: string;
    RequestId: string;
    LogicalResourceId: string;
    ResourceType: string;
    ResourceProperties: Record<string, any>;
    RequestType: "Create";
}>;
declare const CloudFormationCustomResourceDeleteSchema: z.ZodObject<z.objectUtil.extendShape<{
    ServiceToken: z.ZodString;
    ResponseURL: z.ZodString;
    StackId: z.ZodString;
    RequestId: z.ZodString;
    LogicalResourceId: z.ZodString;
    ResourceType: z.ZodString;
    ResourceProperties: z.ZodRecord<z.ZodString, z.ZodAny>;
}, {
    RequestType: z.ZodLiteral<"Delete">;
}>, "strip", z.ZodTypeAny, {
    ServiceToken: string;
    ResponseURL: string;
    StackId: string;
    RequestId: string;
    LogicalResourceId: string;
    ResourceType: string;
    ResourceProperties: Record<string, any>;
    RequestType: "Delete";
}, {
    ServiceToken: string;
    ResponseURL: string;
    StackId: string;
    RequestId: string;
    LogicalResourceId: string;
    ResourceType: string;
    ResourceProperties: Record<string, any>;
    RequestType: "Delete";
}>;
declare const CloudFormationCustomResourceUpdateSchema: z.ZodObject<z.objectUtil.extendShape<{
    ServiceToken: z.ZodString;
    ResponseURL: z.ZodString;
    StackId: z.ZodString;
    RequestId: z.ZodString;
    LogicalResourceId: z.ZodString;
    ResourceType: z.ZodString;
    ResourceProperties: z.ZodRecord<z.ZodString, z.ZodAny>;
}, {
    RequestType: z.ZodLiteral<"Update">;
    OldResourceProperties: z.ZodRecord<z.ZodString, z.ZodAny>;
}>, "strip", z.ZodTypeAny, {
    ServiceToken: string;
    ResponseURL: string;
    StackId: string;
    RequestId: string;
    LogicalResourceId: string;
    ResourceType: string;
    ResourceProperties: Record<string, any>;
    RequestType: "Update";
    OldResourceProperties: Record<string, any>;
}, {
    ServiceToken: string;
    ResponseURL: string;
    StackId: string;
    RequestId: string;
    LogicalResourceId: string;
    ResourceType: string;
    ResourceProperties: Record<string, any>;
    RequestType: "Update";
    OldResourceProperties: Record<string, any>;
}>;
export { CloudFormationCustomResourceCreateSchema, CloudFormationCustomResourceDeleteSchema, CloudFormationCustomResourceUpdateSchema, };
//# sourceMappingURL=cloudformation-custom-resource.d.ts.map