import { z } from 'zod';
declare const CloudWatchLogEventSchema: z.ZodObject<{
    id: z.ZodString;
    timestamp: z.ZodNumber;
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    message: string;
    id: string;
    timestamp: number;
}, {
    message: string;
    id: string;
    timestamp: number;
}>;
declare const CloudWatchLogsDecodeSchema: z.ZodObject<{
    messageType: z.ZodString;
    owner: z.ZodString;
    logGroup: z.ZodString;
    logStream: z.ZodString;
    subscriptionFilters: z.ZodArray<z.ZodString, "many">;
    logEvents: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        timestamp: z.ZodNumber;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        message: string;
        id: string;
        timestamp: number;
    }, {
        message: string;
        id: string;
        timestamp: number;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    messageType: string;
    owner: string;
    logGroup: string;
    logStream: string;
    subscriptionFilters: string[];
    logEvents: {
        message: string;
        id: string;
        timestamp: number;
    }[];
}, {
    messageType: string;
    owner: string;
    logGroup: string;
    logStream: string;
    subscriptionFilters: string[];
    logEvents: {
        message: string;
        id: string;
        timestamp: number;
    }[];
}>;
declare const decompressRecordToJSON: (data: string) => z.infer<typeof CloudWatchLogsDecodeSchema>;
declare const CloudWatchLogsSchema: z.ZodObject<{
    awslogs: z.ZodObject<{
        data: z.ZodEffects<z.ZodString, {
            messageType: string;
            owner: string;
            logGroup: string;
            logStream: string;
            subscriptionFilters: string[];
            logEvents: {
                message: string;
                id: string;
                timestamp: number;
            }[];
        }, string>;
    }, "strip", z.ZodTypeAny, {
        data: {
            messageType: string;
            owner: string;
            logGroup: string;
            logStream: string;
            subscriptionFilters: string[];
            logEvents: {
                message: string;
                id: string;
                timestamp: number;
            }[];
        };
    }, {
        data: string;
    }>;
}, "strip", z.ZodTypeAny, {
    awslogs: {
        data: {
            messageType: string;
            owner: string;
            logGroup: string;
            logStream: string;
            subscriptionFilters: string[];
            logEvents: {
                message: string;
                id: string;
                timestamp: number;
            }[];
        };
    };
}, {
    awslogs: {
        data: string;
    };
}>;
export { CloudWatchLogsSchema, CloudWatchLogsDecodeSchema, decompressRecordToJSON, CloudWatchLogEventSchema, };
//# sourceMappingURL=cloudwatch.d.ts.map